Analytics · Analytics

Get Google Business Profile search keywords

Fetches Google Business Profile search keywords.

GEThttps://api.pozy.ai/v1/analytics/googlebusiness/search-keywords
getGoogleBusinessSearchKeywords

Guides: Google Business Profile, Google Business management, Platform insights

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the analytics resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
accountIdrequiredstring
startMonthstringMatches ^\d{4}-\d{2}$
endMonthstringMatches ^\d{4}-\d{2}$
pageTokenstring

Example

curl -X GET "https://api.pozy.ai/v1/analytics/googlebusiness/search-keywords?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • accountIdstring
  • platformstring
  • monthRangeobject
    • startMonthstring
    • endMonthstring
  • keywordsarray of object
    • keywordstring
    • impressionsinteger
    • impressionsThresholdinteger

      Can be null.

  • nextPageTokenstring

    Can be null.

  • notestring
200 response
{
  "success": true,
  "accountId": "696e0b682d0a31188e7a2ba9",
  "platform": "instagram",
  "monthRange": {
    "startMonth": "string",
    "endMonth": "string"
  },
  "keywords": [
    {
      "keyword": "string",
      "impressions": 1,
      "impressionsThreshold": 1
    }
  ],
  "nextPageToken": "string",
  "note": "string"
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Analytics